%define upstream_name    Want
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A generalisation of wantarray
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module generalises the mechanism of the wantarray function, allowing a
function to determine in some detail how its return value is going to be
immediately used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Want.pm
%{perl_vendorarch}/auto/Want
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-3.mga3
+ Revision: 374815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.210.0-2.mga3
+ Revision: 251310
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 218863
- update to 0.21

* Fri Feb 24 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 213796
- update to 0.20

* Sun Jun 12 2011 sander85 <sander85> 0.18-7.mga2
+ Revision: 104871
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.18-6.mga1
+ Revision: 31456
- mageia rebuild
- imported package perl-Want

